Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 14-10-2021 14:26:27

malmsteen
Membre
Distrib. : Linux debian 10
Noyau : 4.19.0-8-amd64
(G)UI : MATE
Inscription : 26-01-2016

(resolu) problème lors de l installation de lutris

salut a tous
j essai d installer lutris sur debian 10
j ai ajouter le depot depuis le site officiel, je tape apt install lutris et j ai ce message

Paramétrage de lutris (0.5.9) ...
  File "/usr/lib/python3/dist-packages/lutris/runners/steam.py", line 243
    if library_config := self.get_library_config():
                       ^
SyntaxError: invalid syntax

dpkg: erreur de traitement du paquet lutris (--configure) :
 installed lutris package post-installation script subprocess returned error exit status 1
Des erreurs ont été rencontrées pendant l'exécution :
 lutris
E: Sub-process /usr/bin/dpkg returned an error code (1)
 


et quand je tape lutris j ai ca

Traceback (most recent call last):
  File "/usr/games/lutris", line 52, in <module>
    from lutris.gui.application import Application  # pylint: disable=no-name-in-module
  File "/usr/lib/python3/dist-packages/lutris/gui/application.py", line 39, in <module>
    from lutris.game import Game
  File "/usr/lib/python3/dist-packages/lutris/game.py", line 23, in <module>
    from lutris.runners import InvalidRunner, import_runner, wine
  File "/usr/lib/python3/dist-packages/lutris/runners/wine.py", line 9, in <module>
    from lutris.runners.commands.wine import (  # noqa: F401 pylint: disable=unused-import
  File "/usr/lib/python3/dist-packages/lutris/runners/commands/wine.py", line 16, in <module>
    from lutris.util.wine.prefix import WinePrefixManager
  File "/usr/lib/python3/dist-packages/lutris/util/wine/prefix.py", line 7, in <module>
    from lutris.util.wine.registry import WineRegistry
  File "/usr/lib/python3/dist-packages/lutris/util/wine/registry.py", line 9, in <module>
    from lutris.util.wine.wine import WINE_DEFAULT_ARCH
  File "/usr/lib/python3/dist-packages/lutris/util/wine/wine.py", line 9, in <module>
    from lutris.runners.steam import steam
  File "/usr/lib/python3/dist-packages/lutris/runners/steam.py", line 243
    if library_config := self.get_library_config():
                       ^
SyntaxError: invalid syntax
 


merci a vous

Dernière modification par malmsteen (14-10-2021 16:04:32)

Hors ligne

#2 14-10-2021 14:36:20

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : sid / bullseye (stable)
Noyau : Linux -5.14.0-3-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : (resolu) problème lors de l installation de lutris

bonjour malmsteen  smile  smile  smile

tu as suivi ce tuto ? https://lutris.net/downloads/

quelle partie ?

regarde , c'est bien indiqué ...

amicalement ,

alain.

coyotus.png

P.S. : que donne ?

sudo apt install --reinstall inxi


inxi -r

Dernière modification par Debian Alain (14-10-2021 14:39:21)

En ligne

#3 14-10-2021 14:50:47

malmsteen
Membre
Distrib. : Linux debian 10
Noyau : 4.19.0-8-amd64
(G)UI : MATE
Inscription : 26-01-2016

Re : (resolu) problème lors de l installation de lutris

@ Debian Alain
oui j ai wine d installer wine-6.19 (Staging)
voila le retour de la commandes

Repos:     Active apt repos in: /etc/apt/sources.list
           1: deb http://security.debian.org/debian-security buster/updates main
           2: deb-src http://security.debian.org/debian-security buster/updates main
           3: deb http://deb.debian.org/debian/ buster-updates main
           4: deb-src http://deb.debian.org/debian/ buster-updates main
           5: deb http://deb.debian.org/debian buster main contrib non-free
           6: deb-src http://deb.debian.org/debian buster main contrib non-free
           7: deb http://deb.debian.org/debian-security/ buster/updates main contrib non-free
           8: deb-src http://deb.debian.org/debian-security/ buster/updates main contrib non-free
           9: deb http://deb.debian.org/debian buster-backports main contrib non-free
           10: deb-src http://deb.debian.org/debian buster-backports main contrib non-free
           Active apt repos in: /etc/apt/sources.list.d/lutris.list
           1: deb http://download.opensuse.org/repositories/home:/strycore/Debian_10/ ./
           Active apt repos in: /etc/apt/sources.list.d/winehq.list
           1: deb https://dl.winehq.org/wine-builds/debian/ buster main
 


sur une autre debian 10 j e l ai installer sans problème
ma je suis sur un nouveau hdd avec une installation toute fraîche

Hors ligne

#4 14-10-2021 14:57:00

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : sid / bullseye (stable)
Noyau : Linux -5.14.0-3-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : (resolu) problème lors de l installation de lutris

ton sources.list doit ressembler à ceci :

https://debian-facile.org/doc:systeme:a … -non-libre

    # Debian Buster, dépôt principal + paquets non libres
    deb http://deb.debian.org/debian/ buster main contrib non-free
    deb-src http://deb.debian.org/debian/ buster main contrib non-free
     
    # Debian Buster, mises à jour de sécurité + paquets non libres
    deb http://deb.debian.org/debian-security/ buster/updates main contrib non-free
    deb-src http://deb.debian.org/debian-security/ buster/updates main contrib non-free
     
    # Debian Buster, mises à jour "volatiles" + paquets non libres
    deb http://deb.debian.org/debian/ buster-updates main contrib non-free
    deb-src http://deb.debian.org/debian/ buster-updates main contrib non-free
 



tu peux le rerégler avec nano .

nano /etc/apt/sources.list


ensuite :

apt update



amicalement ,

alain.

coyotus.png

Dernière modification par Debian Alain (14-10-2021 14:59:01)

En ligne

#5 14-10-2021 15:02:20

malmsteen
Membre
Distrib. : Linux debian 10
Noyau : 4.19.0-8-amd64
(G)UI : MATE
Inscription : 26-01-2016

Re : (resolu) problème lors de l installation de lutris

sources.list reglé, mais le probleme persiste

Repos:     Active apt repos in: /etc/apt/sources.list
           1: deb http://deb.debian.org/debian/ buster main contrib non-free
           2: deb-src http://deb.debian.org/debian/ buster main contrib non-free
           3: deb http://deb.debian.org/debian-security/ buster/updates main contrib non-free
           4: deb-src http://deb.debian.org/debian-security/ buster/updates main contrib non-free
           5: deb http://deb.debian.org/debian/ buster-updates main contrib non-free
           6: deb-src http://deb.debian.org/debian/ buster-updates main contrib non-free
           Active apt repos in: /etc/apt/sources.list.d/lutris.list
           1: deb http://download.opensuse.org/repositories/home:/strycore/Debian_10/ ./
           Active apt repos in: /etc/apt/sources.list.d/winehq.list
           1: deb https://dl.winehq.org/wine-builds/debian/ buster main
 


apt install lutris

root@debian10:~# apt install lutris
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
lutris est déjà la version la plus récente (0.5.9).
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  libvkd3d1:i386 libwine libwine:i386 wine32:i386 wine64
Veuillez utiliser « apt autoremove » pour les supprimer.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
1 partiellement installés ou enlevés.
Après cette opération, 0 o d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n]
Paramétrage de lutris (0.5.9) ...
  File "/usr/lib/python3/dist-packages/lutris/runners/steam.py", line 243
    if library_config := self.get_library_config():
                       ^
SyntaxError: invalid syntax

dpkg: erreur de traitement du paquet lutris (--configure) :
 installed lutris package post-installation script subprocess returned error exit status 1
Des erreurs ont été rencontrées pendant l'exécution :
 lutris
E: Sub-process /usr/bin/dpkg returned an error code (1)
 

Hors ligne

#6 14-10-2021 16:02:04

malmsteen
Membre
Distrib. : Linux debian 10
Noyau : 4.19.0-8-amd64
(G)UI : MATE
Inscription : 26-01-2016

Re : (resolu) problème lors de l installation de lutris

le probleme vient de la version 5.9
j ai installer la version 5.8 et elle marche
merci a vous

Hors ligne

Pied de page des forums